Skip to main content
GET
/
api
/
v0
/
companies
/
{company_id}
/
repositories
Get all repositories for a company.
curl --request GET \
  --url https://api.example.com/api/v0/companies/{company_id}/repositories
import requests

url = "https://api.example.com/api/v0/companies/{company_id}/repositories"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v0/companies/{company_id}/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "currencyCode": "<string>",
      "kycRequired": true,
      "totalFindings": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "url": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "handle": "<string>",
        "logo": "<string>",
        "website": "<string>",
        "github": "<string>",
        "twitter": "<string>"
      },
      "timeframe": {
        "start": "2023-11-07T05:31:56Z",
        "end": "2023-11-07T05:31:56Z"
      },
      "totalRewardPot": "<string>",
      "submissionFee": "<string>",
      "assetGroups": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "description": "<string>",
          "outOfScope": true,
          "rewards": [
            {
              "minReward": "<string>",
              "maxReward": "<string>"
            }
          ],
          "assets": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>",
              "description": "<string>",
              "reference": "<string>"
            }
          ],
          "subGroups": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>",
              "assets": [
                {
                  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                  "name": "<string>",
                  "description": "<string>",
                  "reference": "<string>"
                }
              ],
              "description": "<string>"
            }
          ]
        }
      ],
      "safeHarbor": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "description": "<string>",
        "reward": "<string>",
        "returnAddresses": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "address": "<string>"
          }
        ],
        "assets": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "description": "<string>"
          }
        ],
        "cap": "<string>"
      },
      "instructions": "<string>",
      "requiredCtfAddress": "<string>",
      "reward": "<string>",
      "rank": 123,
      "rankTotal": 123,
      "allowedSeverities": []
    }
  ]
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

company_id
string<uuid>
required

Query Parameters

target_user
string<uuid> | null

Provide the list of repositories the user has joined or can join

Response

List of company repositories

items
object[]
required